Bug 6072 - depends both on emacs21 and xemacs
: depends both on emacs21 and xemacs
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/lincvs)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-02-09 20:21 by
Modified: 2011-02-27 19:29 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-02-09 20:21:41
It seems to me that's too much for package to have strict dependencies both on
emacs21- and xemacs packages. (What if I don't use XEmacs, or use GNU Emacs of
another version, which is potentially possible?)


apt> show lincvs
Package: lincvs
Section: Development/Other
Installed Size: 3896
Maintainer: Nick S. Grechukh <gns@altlinux.ru>
Version: 1.4.0rc2-alt2
Pre-Depends: rpmlib(PayloadFilesHavePrefix) (<= 4.0-1),
rpmlib(CompressedFileNames) (<= 3.0.4-1)
Depends: cvs, coreutils, emacs21-common, libX11.so.6, libXext.so.6, libc.so.6,
libc.so.6(GLIBC_2.0), libc.so.6(GLIBC_2.1.3), libgcc_s.so.1,
libgcc_s.so.1(GCC_3.0), libm.so.6, libm.so.6(GLIBC_2.0), libpthread.so.0,
libpthread.so.0(GLIBC_2.0), libqt-mt.so.3, libqt-mt.so.3(CXX3), libstdc++.so.6,
libstdc++.so.6(CXXABI_1.3), libstdc++.so.6(GLIBCXX_3.4), openssh-clients, sh,
xemacs-minimal
------- Comment #1 From 2005-02-10 12:02:09 -------
(In reply to comment #0)  
> It seems to me that's too much for package to have strict dependencies both  
err... it haven't _strict_ deps, this deps was generated by autoreq in hasher. i'll  
try to explore what happens.  
  
------- Comment #2 From 2005-02-16 12:04:18 -------
Раз уж пошла речь о зависимостях на emacs, то до сегодняшнего дня я был доволен
самосборным пакетом lincvs-qt33-0:1.3.2-1 в отсутствие не интересующего меня
emacs.

Feature Request: найти, что же вызывает эти зависимости и (внимательно!)
выделить в подпакет lincvs-minimal без зависимостей на emacs.

Относительно известного мне lincvs-qt33-0:1.3.2-1 это были сценарии
launch_emacs.sh и launch_xemacs.sh в /usr/share/LinCVS/Tools, которые можно
было
бы включить в пакет lincvs, требующий lincvs-minimal. В свою очередь
lincvs-minimal мог бы содержать всё остальное, в т.ч. .desktop- и menu-файлы
(внимание, тут мина - в menu-файле должен быть package lincvs-minimal, иначе в
меню ничего не появится до установки пакета lincvs), за исключением
launch_emacs.sh и launch_xemacs.sh.

Конечно, можно пойти и от обратного, т.е. сделать lincvs с минимальными
требованиями и lincvs-extra со всем остальным (например, у меня ssh-agent
запускается и без помощи lincvs, так что ценность
/usr/share/LinCVS/Tools/{ssh-askpass.bin,start-ssh-agent.sh,start-ssh.sh}) для
меня тоже сомнительна.)

Но из уважения к "простым пользователям", которым проще "всэ й одразу", я
предложил вариант с lincvs depends lincvs-minimal, etc, etc как более
предпочтительный. Извращенцы ;-) вроде меня и так смогут разобраться, как
избежать установки ненужных пакетов.
------- Comment #3 From 2011-02-27 19:29:18 -------
apparently wontfix (no such package in sisyphus by now)